nlohmann::detail::file_input_adapter Class Reference

`#include <json.hpp>`

Inheritance diagram for nlohmann::detail::file_input_adapter:
[legend]
Collaboration diagram for nlohmann::detail::file_input_adapter:
[legend]

## Public Types

using | char_type = char

## Public Member Functions

| file_input_adapter (std::FILE *f) noexcept
| file_input_adapter (const file_input_adapter &)=delete
| file_input_adapter (file_input_adapter &&)=default
file_input_adapter & | operator= (const file_input_adapter &)=delete
file_input_adapter & | operator= (file_input_adapter &&)=default
| ~file_input_adapter () override=default
std::char_traits< char >::int_type | get_character () noexcept override
| get a character [0,255] or std::char_traits<char>::eof(). More...
| file_input_adapter (std::FILE *f) noexcept
| file_input_adapter (const file_input_adapter &)=delete
| file_input_adapter (file_input_adapter &&)=default
file_input_adapter & | operator= (const file_input_adapter &)=delete
file_input_adapter & | operator= (file_input_adapter &&)=delete
std::char_traits< char >::int_type | get_character () noexcept
| get a character [0,255] or std::char_traits<char>::eof(). More...
Public Member Functions inherited from nlohmann::detail::input_adapter_protocol
virtual | ~input_adapter_protocol ()=default

## Detailed Description

Input adapter for stdio file access. This adapter read only 1 byte and do not use any buffer. This adapter is a very low level adapter.

## Member Typedef Documentation

## char_type

using nlohmann::detail::file_input_adapter::char_type = char

## Constructor & Destructor Documentation

## file_input_adapter() [1/6]

nlohmann::detail::file_input_adapter::file_input_adapter | ( | std::FILE * | f | ) |

inlineexplicitnoexcept

## file_input_adapter() [2/6]

nlohmann::detail::file_input_adapter::file_input_adapter | ( | const file_input_adapter & |  | ) |

delete

## file_input_adapter() [3/6]

nlohmann::detail::file_input_adapter::file_input_adapter | ( | file_input_adapter && |  | ) |

default

## ~file_input_adapter()

nlohmann::detail::file_input_adapter::~file_input_adapter | ( |  | ) |

overridedefault

## file_input_adapter() [4/6]

nlohmann::detail::file_input_adapter::file_input_adapter | ( | std::FILE * | f | ) |

inlineexplicitnoexcept

## file_input_adapter() [5/6]

nlohmann::detail::file_input_adapter::file_input_adapter | ( | const file_input_adapter & |  | ) |

delete

## file_input_adapter() [6/6]

nlohmann::detail::file_input_adapter::file_input_adapter | ( | file_input_adapter && |  | ) |

default

## Member Function Documentation

## get_character() [1/2]

std::char_traits<char>::int_type nlohmann::detail::file_input_adapter::get_character | ( |  | ) |

inlinevirtualnoexcept

get a character [0,255] or std::char_traits<char>::eof().

Implements nlohmann::detail::input_adapter_protocol.

## get_character() [2/2]

std::char_traits<char>::int_type nlohmann::detail::file_input_adapter::get_character | ( |  | ) |

inlineoverridevirtualnoexcept

get a character [0,255] or std::char_traits<char>::eof().

Implements nlohmann::detail::input_adapter_protocol.

## operator=() [1/4]

file_input_adapter& nlohmann::detail::file_input_adapter::operator= | ( | const file_input_adapter & |  | ) |

delete

## operator=() [2/4]

file_input_adapter& nlohmann::detail::file_input_adapter::operator= | ( | const file_input_adapter & |  | ) |

delete

## operator=() [3/4]

file_input_adapter& nlohmann::detail::file_input_adapter::operator= | ( | file_input_adapter && |  | ) |

default

## operator=() [4/4]

file_input_adapter& nlohmann::detail::file_input_adapter::operator= | ( | file_input_adapter && |  | ) |

delete

The documentation for this class was generated from the following file:

- build/_deps/json-src/include/nlohmann/json.hpp